Puzzle / Developers
API referenceMetrics

Get Categorization Metrics

GET /company/{id}/metrics/categorization

GET/company/{id}/metrics/categorization

Path Parameters

id*string

The company ID

Length1 <= length

Query Parameters

startDate*string

Calendar date, YYYY-MM-DD

Length1 <= length
endDateExclusive?string

Calendar date, YYYY-MM-DD

Length1 <= length
interval?"month"

The value is normalized before matching, so any casing that maps onto a listed value is accepted.

Value in

  • "month"

Response Body

application/json

curl -X GET "https://example.com/company/string/metrics/categorization?startDate=string"
{  "metrics": [    {      "timePeriod": {        "startDate": "string",        "endDateExclusive": "string"      },      "dataCompletenessLevel": "Complete",      "percentDollarVolumeCategorized": 0,      "percentDollarVolumeConfirmed": 0    }  ]}

Schema refreshed 2026-11-11T18:57:48.657Z